Signed-off-by: Robert Nelson <robertcnelson@gmail.com>pull/8/head
parent
e12142fde1
commit
b0e9d4f207
@ -0,0 +1,15 @@
|
||||
echo "Debug: Natty DVI"
|
||||
if test "${beaglerev}" = "xMA"; then
|
||||
echo "Kernel is not ready for 1Ghz limiting to 800Mhz"
|
||||
setenv mpurate 800
|
||||
fi
|
||||
if test "${beaglerev}" = "xMB"; then
|
||||
echo "Kernel is not ready for 1Ghz limiting to 800Mhz"
|
||||
setenv mpurate 800
|
||||
fi
|
||||
setenv dvimode 1280x720MR-16@60
|
||||
setenv vram 12MB
|
||||
setenv bootcmd 'mmc init; fatload mmc 0:1 0x80300000 uImage; fatload mmc 0:1 0x81600000 uInitrd; bootm 0x80300000 0x81600000'
|
||||
setenv bootargs console=ttyO2,115200n8 console=tty0 root=/dev/mmcblk0p5 ro vram=${vram} omapfb.mode=dvi:${dvimode} fixrtc buddy=${buddy} mpurate=${mpurate}
|
||||
boot
|
||||
|
@ -0,0 +1,36 @@
|
||||
### Apt setup
|
||||
# You can choose to install non-free and contrib software.
|
||||
#d-i apt-setup/non-free boolean true
|
||||
#d-i apt-setup/contrib boolean true
|
||||
|
||||
# If you select ftp, the mirror/country string does not need to be set.
|
||||
#d-i mirror/protocol string ftp
|
||||
d-i mirror/country string manual
|
||||
d-i mirror/http/hostname string ports.ubuntu.com
|
||||
d-i mirror/http/directory string /ubuntu-ports
|
||||
|
||||
# Individual additional packages to install
|
||||
d-i pkgsel/include string u-boot-tools pastebinit initramfs-tools wget linux-firmware linux-firmware-nonfree ntpdate
|
||||
|
||||
# Whether to upgrade packages after debootstrap.
|
||||
# Allowed values: none, safe-upgrade, full-upgrade
|
||||
d-i pkgsel/upgrade select safe-upgrade
|
||||
|
||||
# Controls whether to use NTP to set the clock during the install
|
||||
d-i clock-setup/ntp boolean true
|
||||
|
||||
# During installations from serial console, the regular virtual consoles
|
||||
# (VT1-VT6) are normally disabled in /etc/inittab. Uncomment the next
|
||||
# line to prevent this.
|
||||
d-i finish-install/keep-consoles boolean true
|
||||
|
||||
# Avoid that last message about the install being complete.
|
||||
d-i finish-install/reboot_in_progress note
|
||||
|
||||
# This command is run just before the install finishes, but when there is
|
||||
# still a usable /target directory. You can chroot to /target and use it
|
||||
# directly, or use the apt-install and in-target commands to easily install
|
||||
# packages and run commands in the target system.
|
||||
d-i preseed/late_command \
|
||||
string apt-install parted; in-target /sbin/parted /dev/mmcblk0 set 1 boot on ;
|
||||
|
@ -0,0 +1,41 @@
|
||||
diff --git a/usr/lib/finish-install.d/08rcn-omap b/usr/lib/finish-install.d/08rcn-omap
|
||||
new file mode 100755
|
||||
index 0000000..6d06fc7
|
||||
--- /dev/null
|
||||
+++ b/usr/lib/finish-install.d/08rcn-omap
|
||||
@@ -0,0 +1,35 @@
|
||||
+#!/bin/sh -e
|
||||
+cp /etc/flash-kernel.conf /target/etc/flash-kernel.conf
|
||||
+cp /etc/ttyO2.conf /target/etc/init/ttyO2.conf
|
||||
+
|
||||
+if [ -e /etc/rcn.conf ]; then
|
||||
+ mkdir -p /tmp/mmc
|
||||
+ mount /dev/mmcblk0p1 /tmp/mmc
|
||||
+ rm -f /tmp/mmc/boot.scr || true
|
||||
+ mv /tmp/mmc/user.scr /tmp/mmc/boot.scr
|
||||
+ rm -f /tmp/mmc/uInitrd.net || true
|
||||
+
|
||||
+ #Thank You Ubuntu; arrrggg!!!
|
||||
+ rm -f /tmp/mmc/uInitrd || true
|
||||
+ rm -f /tmp/mmc/uInitrd.bak || true
|
||||
+ rm -f /tmp/mmc/uImage || true
|
||||
+ rm -f /tmp/mmc/uImage.bak || true
|
||||
+
|
||||
+ mv /tmp/mmc/uInitrd.end /tmp/mmc/uInitrd
|
||||
+ mv /tmp/mmc/uImage.net /tmp/mmc/uImage
|
||||
+ LD_LIBRARY_PATH=/target/lib /target/usr/bin/dpkg-deb -x /tmp/mmc/linux-image-*_1.0*_armel.deb /target/
|
||||
+ rm -f /tmp/mmc/linux-image-*_1.0*_armel.deb || true
|
||||
+ sync
|
||||
+ umount /tmp/mmc
|
||||
+
|
||||
+ mkdir -p /target/boot/uboot
|
||||
+ echo "/dev/mmcblk0p1 /boot/uboot auto defaults 0 0" >> /target/etc/fstab
|
||||
+
|
||||
+ #smsc95xx kevent workaround/hack
|
||||
+ echo "vm.min_free_kbytes = 8192" >> /target/etc/sysctl.conf
|
||||
+
|
||||
+ cp -ru /lib/firmware/ /target/lib/
|
||||
+
|
||||
+ rm -f /etc/rcn.conf
|
||||
+fi
|
||||
+
|
@ -0,0 +1,13 @@
|
||||
echo "Debug: Natty Serial"
|
||||
if test "${beaglerev}" = "xMA"; then
|
||||
echo "Kernel is not ready for 1Ghz limiting to 800Mhz"
|
||||
setenv mpurate 800
|
||||
fi
|
||||
if test "${beaglerev}" = "xMB"; then
|
||||
echo "Kernel is not ready for 1Ghz limiting to 800Mhz"
|
||||
setenv mpurate 800
|
||||
fi
|
||||
setenv bootcmd 'mmc init; fatload mmc 0:1 0x80300000 uImage; fatload mmc 0:1 0x81600000 uInitrd; bootm 0x80300000 0x81600000'
|
||||
setenv bootargs console=ttyO2,115200n8 root=/dev/mmcblk0p5 ro fixrtc buddy=${buddy} mpurate=${mpurate}
|
||||
boot
|
||||
|
Loading…
Reference in new issue